org.apache.sysds.common

## Enum Types.ReturnType

- java.lang.Object
- - java.lang.Enum<Types.ReturnType>
  - - org.apache.sysds.common.Types.ReturnType

All Implemented Interfaces:
  Serializable, Comparable<Types.ReturnType>

Enclosing class:
  Types

    public static enum Types.ReturnType
    extends Enum<Types.ReturnType>

Type of builtin or user-defined function with regard to its number of return variables.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MULTI_RETURN`
`NO_RETURN`
`SINGLE_RETURN`

### Method Summary

All Methods Static Methods Concrete Methods
`static Types.ReturnType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.ReturnType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NO_RETURN

    public static final Types.ReturnType NO_RETURN

#### SINGLE_RETURN

    public static final Types.ReturnType SINGLE_RETURN

#### MULTI_RETURN

    public static final Types.ReturnType MULTI_RETURN

### Method Detail

#### values

    public static Types.ReturnType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Types.ReturnType c : Types.ReturnType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Types.ReturnType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null